package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class SubjectChangeParamDto{
    private Integer id;

    private BigDecimal amount;

    private Boolean isUseBalancePayment = false;

    private Boolean isRepay = false;

    @ApiModelProperty(value = "优惠券列表", required = false)
    private List<Integer> couponIdList;

    private Integer tenantId;

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Boolean getUseBalancePayment() {
        return isUseBalancePayment;
    }

    public void setUseBalancePayment(Boolean useBalancePayment) {
        isUseBalancePayment = useBalancePayment;
    }

    public Boolean getRepay() {
        return isRepay;
    }

    public void setRepay(Boolean repay) {
        isRepay = repay;
    }

    public List<Integer> getCouponIdList() {
        return couponIdList;
    }

    public void setCouponIdList(List<Integer> couponIdList) {
        this.couponIdList = couponIdList;
    }
}
